\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{3d,arrows.meta}
\begin{document}

% to be used as \cube[yellow]{x0}{y0}{z0}{xside}{ysize}{zsize}
\newcommand{\cube}[7][blue]{
  \coordinate (O) at (#2,#3,#4);

  \begin{scope}[rounded corners=0.2pt]
    % back
    \draw [fill=#1!10,very thin] (O) -- ++(#5,0,0) -- ++(0,#6,0) -- ++(-#5,0,0) -- cycle;
    % left
    \draw [fill=#1!10,very thin] (O) -- ++(0,#6,0) -- ++(0,0,#7) -- ++(0,-#6,0) -- cycle;
    % bottom
    \draw [fill=#1!10,very thin] (O) -- ++(#5,0,0) -- ++(0,0,#7) -- ++(-#5,0,0) -- cycle;
    % front
    \draw [fill=#1!10,very thin] (O) ++(0,0,#7) -- ++(#5,0,0) -- ++(0,#6,0) -- ++(-#5,0,0) -- cycle;
    % top
    \draw [fill=#1!30,very thin] (O) ++(0,#6,0) -- ++(#5,0,0) -- ++(0,0,#7) -- ++(-#5,0,0) -- cycle;
    % right
    \draw [fill=#1!40,very thin] (O) ++(#5,0,0) -- ++(0,#6,0) -- ++(0,0,#7) -- ++(0,-#6,0) -- cycle;
  \end{scope}
}

\begin{tikzpicture}[>=latex,
    conductor/.style={line width=2pt,orange,rounded corners},
    opacity=1.0]

  \begin{scope}[canvas is zy plane at x=0]
    % Y axis
    \draw[->,gray] (0,0) -- (0,4) node[above] {Y};

    % loop
    \draw[conductor] (0,0) rectangle (3,2);

    % intensity
    \draw[->] (1,2.2) -- node[above] {I} (2,2.2);
  \end{scope}

  \begin{scope}[canvas is zx plane at y=0]
    % Z axis
    \draw[->,gray] (0,0) -- (4,0) node[below] {Z};
  \end{scope}

  \begin{scope}[canvas is xy plane at z=0]
    % X axis
    \draw[->,gray] (0,0) -- (4,0) node[right] {X};
  \end{scope}

  % magnet
  \draw (2.5,1,1.5) node[anchor=north] {N};
  \cube[orange]{2}{1}{1}{1}{0.2}{0.5};
  \draw (3.5,1,1.5) node[anchor=north] {S};
  \cube[blue]{3}{1}{1}{1}{0.2}{0.5};

  \draw[->, blue] (2,1,1) -- node[above] {$\vec{B}$} ++(-0.8,0,0);
  \draw[->] (3.5,1.5,1) -- node[above] {$\vec{v}$} ++(-1,0,0);

  % induced magnetic field
  \draw[->, blue] (0,1,1) -- node[above] {$\vec{B}_{ind}$} ++(0.8,0,0);

  
\end{tikzpicture}
\end{document}
